<?php
/////////////////////////////////////////////////////////////
// Ce fichier est fait pour tre utilis avec le fichier cr
// par IACA lors de la mise  jour des comptes.
// Voir dans "Outils divers" sur le site de IACA pour plus de
// dtails sur le rle et l'utilisation de ce fichier.
// Auteur A. Sayer

/////////////////////////////////////////////////////////////
// Valeurs  adapter en fonction de votre rseau
/////////////////////////////////////////////////////////////

// $adrbase est utilis pour contruire l'adresse des sous-sites
// Le mieux est de laisser $adrbase="" ce qui permet d'utiliser
// un chemin relatif qui conviendra quelle que soit l'adresse
// utilise (accs en local avec une adresse comportant ou ne
// comportenant pas le nom du domaine, ou accs par un numro
// IP ou encore depuis l'extrieur).
// Exemples
//   $adrbase="";
//   $adrbase="http://serveur";
//   $adrbase="http://serv.dom.priv";
$adrbase="";

// Si ce fichier php est dans le mme rpertoire que celui dans
// lequel iaca a cr listesites.ini, la valeur de
// $nomfichlistesitesini n'a pas besoin d'tre change.
$nomfichlistesitesini="listesites.ini";

// si $avecdescription est  1 alors  la racine de chaque
// sous-site, le fichier description.txt est recherch et s'il
// est prsent, la description s'affiche  ct de l'adresse
// Informez les utilisateurs qu'ils peuvent crer un fichier
// nomm "description.txt"  la racine de leur site. Seules les
// 10 premires lignes de ce fichier seront utilises. Les balises
// html sont automatiquement supprimes afin d'viter les dfauts
// de prsentation.
$avecdescription=1;

// Mettre $pageincluse=1 si ce fichier est plac dans un autre 
// l'aide de l'instruction include. Les balises <html> et <body>
// ne seront alors pas utilises.
$pageincluse=0;

// Mettre $titre="" pour ne pas avoir le titre
$titre="Liste des sous-sites";

// si $ouvrirdansnouvellepage=1 alors en cliquant sur le lien d'un
// sous-site, celui-ci s'ouvrira dans une nouvelle fentre.
$ouvrirdansnouvellepage=1;


/////////////////////////////////////////////////////////////
// Les valeurs suivantes peuvent tre modifies si vous voulez
// changer les couleurs ou la taille des caractres.
/////////////////////////////////////////////////////////////
$debutfonttitre="<font face=\"Arial\" size=\"2\">";
$debutfont="<font face=\"Arial\" size=\"2\">";
$debutfontdescript="<font face=\"Arial\" size=\"1\">";
$finfont="</font>";
$coultitretableau="#CCEEFF";
$coultableau="#FFFFCC";
$couleurfondpage="#F0F0F0";  // n'est pas utilis si $pageincluse=1


/////////////////////////////////////////////////////////////
// La suite n'a normalement pas besoin d'tre modifie.
/////////////////////////////////////////////////////////////

if ($pageincluse<>1){
   echo "<html>\n<head>\n
   <meta http-equiv=\"Content-Language\" content=\"fr\">\n
   <meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1252\">\n
   <title>Liste des sites</title>\n
   </head>\n
   <body bgcolor=\"$couleurfondpage\">\n";
}

if (isset($titre) && $titre<>""){
echo "<p align=\"center\"><font size=\"4\" face=\"Arial\" color=\"#0000CC\"><b>$titre</b></font></p>";
}

if ($ouvrirdansnouvellepage==1){$target=" target=\"_blank\"";} else {$target="";}

// Ouverture du fichier cr par iaca
// Si le fichier n'existe pas on arrte sans afficher de message.
$f=@fopen($nomfichlistesitesini,"r") or die;
// Lecture de la premire ligne pour vrifier le nom des champs
// Si la premire ligne n'est pas celle attendue, c'est qu'il s'agit
// d'un mauvais fichier ou d'un fichier d'une version diffrente.
// On affiche un message et on s'arrte.
$r=trim(fgets($f));
if (strcmp($r,"LOGIN;NOM;PRENOM;GROUPE;SOUSGR;ADRSITE;DESCRIPT")<>0){
   fclose($f);
   die ("Le fichier $nomfichlistesitesini n'a pas le bon format.");
}


// Parcours du fichier et affichage sous forme de tableau
$titretableau="";
while (!feof($f)){
   $r=trim(fgets($f));
   if ($r!=""){
      list($login,$nom,$prenom,$groupe,$sousgr,$adrsite,$descript)=explode(";",$r);
      $chemin=addslashes($chemin);
      $titreprov=$groupe."  ".$sousgr;
      if ($titreprov<>$titretableau){
         $titretableau=$titreprov;
         if ($tableaucommence==1){echo "</table><BR>";}
         $tableaucommence=1;
         echo "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"4\">
               <tr>
                  <td width=\"100%\" colspan=\"2\" bgcolor=\"$coultitretableau\">
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$debutfonttitre<b>$titretableau</b>$finfont
                  </td>
               </tr>";
      }
      $lien=$adrbase.$adrsite;
      $nomcomplet=$nom;
      if ($prenom<>""){$nomcomplet=$nomcomplet." ".$prenom;}
      echo "<tr>
               <td width=\"40%\" bgcolor=\"$coultableau\" valign=\"top\">$debutfont$nomcomplet$finfont</td>
               <td width=\"*\" bgcolor=\"$coultableau\" valign=\"top\">
               $debutfont<a href=$lien$target>$lien</a>$finfont
               $debutfontdescript$descript$finfont
               </td>
            </tr>";
   }
}
if ($tableaucommence==1){echo "</table>";}

if ($pageincluse<>1){
  echo "</body>\n</html>\n";
}

?>
